summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/include/0009dir_nodir_1
diff options
context:
space:
mode:
authorIsmo Puustinen <ismo.puustinen@intel.com>2017-06-27 15:14:59 +0300
committerPablo Neira Ayuso <pablo@netfilter.org>2017-06-27 18:10:25 +0200
commit03a17f80bab09f8d9585b70464634ca50d3ffc7c (patch)
tree196bf953a444c755ee884d2d81c6523a8dc4d001 /tests/shell/testcases/include/0009dir_nodir_1
parent8368e63eff044b78b9332f3af398a940d75e590f (diff)
tests: update include directory tests to support wildcard syntax.
Signed-off-by: Ismo Puustinen <ismo.puustinen@intel.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/include/0009dir_nodir_1')
-rwxr-xr-xtests/shell/testcases/include/0009dir_nodir_131
1 files changed, 0 insertions, 31 deletions
diff --git a/tests/shell/testcases/include/0009dir_nodir_1 b/tests/shell/testcases/include/0009dir_nodir_1
deleted file mode 100755
index d7407f45..00000000
--- a/tests/shell/testcases/include/0009dir_nodir_1
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/bash
-
-set -e
-
-tmpdir=$(mktemp -d)
-if [ ! -d $tmpdir ] ; then
- echo "Failed to create tmp directory" >&2
- exit 0
-fi
-
-# remove the directory
-rmdir $tmpdir
-
-tmpfile1=$(mktemp)
-if [ ! -w $tmpfile1 ] ; then
- echo "Failed to create tmp file" >&2
- exit 0
-fi
-
-# cleanup if aborted
-trap "rm -rf $tmpfile1" EXIT
-
-RULESET1="include \"$tmpdir/\""
-
-echo "$RULESET1" > $tmpfile1
-
-$NFT -f $tmpfile1
-if [ $? -eq 0 ] ; then
- echo "E: Failed to catch a missing include directory/file" >&2
- exit 1
-fi